Do we really need the Ruby scripting support?

April 16, 2008

With version 0.8, newsbeuter introduced Ruby scripting support, although still undocumented and not really in a usable state. So, the next major release is coming up, and one thing in my head is whether we really need Ruby support in newsbeuter. So far, I couldn’t find any use case where Ruby support would be useful. So the question is: should the Ruby support remain, or should it be removed again? I strongly urge for your thoughts and comments, if nobody presents me a clear case why we would need Ruby support in newsbeuter, I think I will remove it again.